Uploaded image for project: 'OpenNMS'
  1. OpenNMS
  2. NMS-10401

`find-java.sh` doesn't understand newer JDK output

    XMLWordPrintable

Details

    Description

      The current version of the tool we use to locate appropriate Java versions doesn't understand the newer output of JDKs.  Recent JDKs (and even newer OpenJDK 8 releases) have a date-stamp at the end of the version line.  Also, the script doesn't handle JDK9+ versions without .minor.micro version numbers.

       

      WARNING: unsure how to handle Java version output: java version "11" 2018-09-25 

      Attachments

        Activity

          People

            ranger Benjamin Reed
            ranger Benjamin Reed
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: